Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.feature
Class FeatureStoreEvent

    Object
      EventObject
          FeatureStoreEvent

All Implemented Interfaces:
  Serializable

Deprecated. Removed pending a redesign of feature storage interfaces

    @Deprecated
    public class FeatureStoreEvent

extends EventObject

Instances of this class are passed to the methods of `FeatureStoreListener` when the user of the `FeatureStore` adds, deletes, or modifies a feature type. Events regarding changes to an individual feature are given with an instance of `FeatureEvent`.

Since:
  GeoAPI 2.0
See Also:
  Serialized Form

Field Summary
`static int` | `ADD` Deprecated. Constant that indicates that a new feature type was added to a feature store.
`static int` | `DELETE` Deprecated. Constant that indicates that a feature type's schema was removed from a feature store.
`static int` | `MODIFY` Deprecated. Constant that indicates that a feature type's schema was modified in a feature store.

Fields inherited from class EventObject
`source`

Constructor Summary
`FeatureStoreEvent(FeatureStore featureStore, GenericName typeName, int eventType)` Deprecated. Constructs a new event.

Method Summary
`int` | `getEventType()` Deprecated. Returns the type of this event.
`FeatureStore` | `getFeatureStore()` Deprecated. Synonym for `getSource()`, but does the cast for you.
`Object` | `getSource()` Deprecated. Returns the source as a feature store.
`GenericName` | `getTypeName()` Deprecated. Returns the name of the `FeatureType` that was modified.
`String` | `toString()` Deprecated. Returns a string representation of this event.

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ADD

    public static final int ADD

  Deprecated.
  Constant that indicates that a new feature type was added to a feature store.

  See Also:
    Constant Field Values

### MODIFY

    public static final int MODIFY

  Deprecated.
  Constant that indicates that a feature type's schema was modified in a feature store.

  See Also:
    Constant Field Values

### DELETE

    public static final int DELETE

  Deprecated.
  Constant that indicates that a feature type's schema was removed from a feature store.

  See Also:
    Constant Field Values

Constructor Detail

### FeatureStoreEvent

    public FeatureStoreEvent(FeatureStore featureStore,
                             GenericName typeName,
                             int eventType)

  Deprecated.
  Constructs a new event.

  Parameters:
    `featureStore` - The feature store on which the event initially occurred.
    `typeName` - The name of the type that was added, modified, or deleted.
    `eventType` - The type of this event. One of `ADD`, `MODIFY` or `DELETE` constants.

Method Detail

### getSource

    public Object getSource()

  Deprecated.
  Returns the source as a feature store.

  Overrides:
    `getSource` in class `EventObject`

### getFeatureStore

    public FeatureStore getFeatureStore()

  Deprecated.
  Synonym for `getSource()`, but does the cast for you.

  TODO:
    To be replaced by `getSource()` in a J2SE 1.5 profile.

### getTypeName

    public GenericName getTypeName()

  Deprecated.
  Returns the name of the `FeatureType` that was modified.

### getEventType

    public int getEventType()

  Deprecated.
  Returns the type of this event. One of `ADD`, `MODIFY` or `DELETE` constants.

### toString

    public String toString()

  Deprecated.
  Returns a string representation of this event. Of the form `"FeatureStore (featureStore.displayName|featureStore) (ADD|MODIFY|DELETE) Event"`.

  Overrides:
    `toString` in class `EventObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.